// See https://svelte.dev/docs/kit/types#app.d.ts
// for information about these interfaces
declare global {
	namespace App {
		interface Locals {
			user: import('$lib/server/auth').SessionValidationResult['users'];
			session: import('$lib/server/auth').SessionValidationResult['sessions'];
			roles: import('$lib/server/db/schema').Role[];
			permissions: import('$lib/server/db/schema').Permission[];
		}
	} // interface Error {}
	// interface Locals {}
} // interface PageData {}
// interface PageState {}

// interface Platform {}
export {};
